diff --git a/database/migrations/0043-add_event_protocol_table.ts b/database/migrations/0043-add_event_protocol_table.ts
new file mode 100644
index 000000000..c3669f857
--- /dev/null
+++ b/database/migrations/0043-add_event_protocol_table.ts
@@ -0,0 +1,28 @@
+/* MIGRATION TO ADD EVENT_PROTOCOL
+ *
+ * This migration adds the table `event_protocol` in order to store all sorts of business event data
+ */
+
+/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
+/* eslint-disable @typescript-eslint/no-explicit-any */
+
+export async function upgrade(queryFn: (query: string, values?: any[]) => Promise<Array<any>>) {
+  await queryFn(`
+      CREATE TABLE IF NOT EXISTS \`event_protocol\` (
+        \`id\` int(10) unsigned NOT NULL AUTO_INCREMENT,
+        \`type\` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
+        \`created_at\` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
+        \`user_id\` int(10) unsigned NOT NULL,
+        \`x_user_id\` int(10) unsigned NULL DEFAULT NULL,
+        \`x_community_id\` int(10) unsigned NULL DEFAULT NULL,
+        \`transaction_id\` int(10) unsigned NULL DEFAULT NULL,
+        \`contribution_id\` int(10) unsigned NULL DEFAULT NULL,
+        \`amount\` bigint(20) NULL DEFAULT NULL,
+        PRIMARY KEY (\`id\`)
+      ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;`)
+}
+
+export async function downgrade(queryFn: (query: string, values?: any[]) => Promise<Array<any>>) {
+  // write downgrade logic as parameter of queryFn
+  await queryFn(`DROP TABLE IF EXISTS \`event_protocol\`;`)
+}
diff --git a/database/migrations/0044-insert_missing_contributions.ts b/database/migrations/0044-insert_missing_contributions.ts
new file mode 100644
index 000000000..a14141498
--- /dev/null
+++ b/database/migrations/0044-insert_missing_contributions.ts
@@ -0,0 +1,34 @@
+/* MIGRATION TO INSERT contributions for all transactions with type creation that do not have a contribution yet */
+
+/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
+/* eslint-disable @typescript-eslint/no-explicit-any */
+
+export async function upgrade(queryFn: (query: string, values?: any[]) => Promise<Array<any>>) {
+  await queryFn(
+    `INSERT INTO gradido_community.contributions
+  (user_id, created_at, contribution_date, memo, amount, moderator_id, confirmed_by, confirmed_at, transaction_id)
+SELECT 
+  user_id,
+  balance_date,
+  creation_date AS contribution_date,
+  memo,
+  amount,
+  20 AS moderator_id,
+  502 AS confirmed_by,
+  balance_date AS confirmed_at,
+  id
+FROM
+  gradido_community.transactions
+WHERE
+  type_id = 1
+  AND NOT EXISTS(
+    SELECT * FROM gradido_community.contributions
+    WHERE gradido_community.contributions.transaction_id = gradido_community.transactions.id);`,
+  )
+}
+
+export async function downgrade(queryFn: (query: string, values?: any[]) => Promise<Array<any>>) {
+  await queryFn(
+    'DELETE FROM `contributions` WHERE `contributions`.`moderator_id` = 20 AND `contributions`.`confirmed_by` = 502 AND `contributions`.`created_at` = `contributions`.`confirmed_at`;',
+  )
+}
diff --git a/deployment/bare_metal/.env.dist b/deployment/bare_metal/.env.dist
index a1751a859..1255104c9 100644
--- a/deployment/bare_metal/.env.dist
+++ b/deployment/bare_metal/.env.dist
@@ -22,12 +22,13 @@ COMMUNITY_NAME="Gradido Development Stage1"
 COMMUNITY_URL=https://stage1.gradido.net/
 COMMUNITY_REGISTER_URL=https://stage1.gradido.net/register
 COMMUNITY_REDEEM_URL=https://stage1.gradido.net/redeem/{code}
+COMMUNITY_REDEEM_CONTRIBUTION_URL=https://stage1.gradido.net/redeem/CL-{code}
 COMMUNITY_DESCRIPTION="Gradido Development Stage1 Test Community"
 
 # backend
-BACKEND_CONFIG_VERSION=v6.2022-04-21
+BACKEND_CONFIG_VERSION=v9.2022-07-07
 
-JWT_EXPIRES_IN=30m
+JWT_EXPIRES_IN=10m
 GDT_API_URL=https://gdt.gradido.net
 
 TYPEORM_LOGGING_RELATIVE_PATH=../deployment/bare_metal/log/typeorm.backend.log
@@ -52,6 +53,10 @@ EMAIL_CODE_REQUEST_TIME=10
 
 WEBHOOK_ELOPAGE_SECRET=secret
 
+# EventProtocol
+EVENT_PROTOCOL_DISABLED=false
+
+
 # database
 DATABASE_CONFIG_VERSION=v1.2022-03-18
 
